{% extends 'userena/base_userena.html' %}
{% load i18n %}
{% load volunteer_extras %}

{% block content_title %}<h2 class="content-title">{% trans 'Talks' %}</h2>{% endblock %}

{% block content %}
<form class="task_list" action="{% url 'talk_list' %}" method="post">{% csrf_token %}
    {% for track, talks in tracks.items %}
    <fieldset>
        <legend class="talk_list">{{ track }}</legend>
        <table class="talk_list">
            <thead>
                <tr>
                    <th>{% trans "I'm Going" %}!</th>
                    <th>{% trans 'Title' %}</th>
                    <th>{% trans 'When' %}</th>
                    <th>{% trans 'Speaker' %}</th>
                    <th class="numeric">{% trans 'Attending' %}</th>
                </tr>
            </thead>
            <tbody>
                {% for talk in talks %}
                <tr>
                    <td data-title="{% trans 'Going' %}!"><input type="checkbox" name="talk" value="{{ talk.id }}" {{ checked|get_item:talk.id }} /></td>
                    <td data-title="{% trans 'Title' %}"><a href="{% url 'talk_detailed' talk.id %}">{{ talk.title }}</a></td>
                    <td data-title="{% trans 'When' %}">{{ talk.date|date:"D" }}, {{ talk.start_time|time:"H:i" }} - {{ talk.end_time|time:"H:i" }}</td>
                    <td data-title="{% trans 'Speaker' %}">{{ talk.speaker }}</td>
                    <td data-title="{% trans 'Attending' %}" class="numeric talk-volunteers" title="Attending:<br/>{% for volunteer in talk.volunteers.all %}* {{ volunteer.nick }}<br/>{% endfor %}">{{ talk.assigned_volunteers }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </fieldset>
    {% endfor %}
    <input type="submit" value="{% trans "Save changes" %}" />
</form>

<div id="dialog" title="Talk"></div>

{% if is_paginated %}
<div class="pagination">
    <span class="step-links">
        {% if page_obj.has_previous %}
        <a href="{% url 'userena_profile_list_paginated' page_obj.previous_page_number %}">{% trans 'previous' %}</a>
        {% endif %}

        <span class="current">
            {% trans 'Page' %} {{ page_obj.number }} {% trans 'of' %} {{ page_obj.paginator.num_pages }}.
        </span>

        {% if page_obj.has_next %}
        <a href="{% url 'userena_profile_list_paginated' page_obj.next_page_number %}">{% trans 'next' %}</a>
        {% endif %}
    </span>
</div>
{% endif %}
{% endblock %}
